using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.GlossariesManager.Repository;

namespace e_suite.Modules.GlossariesManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<GlossariesManagerRepository>().As<IGlossariesManagerRepository>().InstancePerLifetimeScope();
        builder.RegisterType<GlossariesManager>().As<IGlossariesManager>().InstancePerLifetimeScope();
    }
}